
Redmine - Patch #41313

Fix test/unit/issue_test.rb to use correct IANA timezone name "Asia/Hong_Kong" instead of

deprecated "Hongkong"

2024-09-24 22:54 - Soren Stoutner

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.0.10   

Description

I am working on updating the Debian package of Redmine.  As part of that work, I noticed that test/unit/issue_test.rb produces the

following failure:

Failure:

IssueTest

#test_issue_overdue_should_respect_user_timezone [/<<PKGBUILDDIR>>/test/unit/issue_test.rb:3410]:

Expected false to be truthy.

rails test test/unit/issue_test.rb:3388

 The root of this problem is that this test uses the Hongkong, which Debian no longer resolves to Asia/Hong_Kong.  The attached

patch fixes this problem by using Asia/Hong_Kong directly.

Associated revisions

Revision 23079 - 2024-09-25 23:31 - Go MAEDA

Fix test to use correct IANA timezone name "Asia/Hong_Kong" instead of deprecated "Hongkong" (#41313).

Patch by Soren Stoutner (user:sorenstoutner).

Revision 23080 - 2024-09-25 23:49 - Go MAEDA

Merged r23079 from trunk to 5.1-stable (#41313).

Revision 23081 - 2024-09-25 23:50 - Go MAEDA

Merged r23079 from trunk to 5.0-stable (#41313).

History

#1 - 2024-09-25 04:44 - Go MAEDA

- Category set to Code cleanup/refactoring

- Target version set to 6.0.0

#2 - 2024-09-25 23:46 - Go MAEDA

- Subject changed from test/unit/issue_test.rb uses outdated timezone format to Fix test/unit/issue_test.rb to use correct IANA timezone name

"Asia/Hong_Kong" instead of deprecated "Hongkong"

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Target version changed from 6.0.0 to 5.0.10

Committed the patch in r23079. Thank you.

#3 - 2024-09-25 23:52 - Go MAEDA

- Status changed from Resolved to Closed

Merged the change to stable branches in r23080 and r23081.
https://www.redmine.org/projects/redmine/repository/svn/revisions/23079
https://www.redmine.org/projects/redmine/repository/svn/revisions/23080
https://www.redmine.org/projects/redmine/repository/svn/revisions/23081
